nn.pp.rccore

## Class UsbProfileList

- java.lang.Object
- - nn.pp.rccore.UsbProfileList

- All Implemented Interfaces:
    java.lang.Cloneable, IUsbProfileList

      public class UsbProfileList
      extends java.lang.Object
      implements java.lang.Cloneable, IUsbProfileList

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UsbProfileList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProfile(UsbProfile entry, boolean isActive, boolean isPreferred)`
    `void` | `clear()`
    `protected java.lang.Object` | `clone()`
    `IUsbProfile` | `getActive()` Get the active USB profile.
    `java.lang.String` | `getErrorMessage()`
    `IUsbProfile` | `getPreferred()` Get the preferred USB profile.
    `java.util.List<IUsbProfile>` | `getProfiles()` Get the list of all USB profiles available
    `void` | `setActive(UsbProfile active)`
    `void` | `setPreferred(UsbProfile preferred)`
    `void` | `setProfiles(java.util.List<IUsbProfile> profiles)`
    `java.lang.String` | `toString()`
    `int` | `validate()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UsbProfileList

          public UsbProfileList()

  - ### Method Detail

    - #### addProfile

          public void addProfile(UsbProfile entry,
                                 boolean isActive,
                                 boolean isPreferred)

    - #### clear

          public void clear()

    - #### getProfiles

          public java.util.List<IUsbProfile> getProfiles()

      Description copied from interface: `IUsbProfileList`
      Get the list of all USB profiles available
      Specified by:
        `getProfiles` in interface `IUsbProfileList`
      Returns:
        the list of all USB profiles available

    - #### setProfiles

          public void setProfiles(java.util.List<IUsbProfile> profiles)

    - #### getActive

          public IUsbProfile getActive()

      Description copied from interface: `IUsbProfileList`
      Get the active USB profile. This is the USB profile that is actively selected by the user from an KVM client.
      Specified by:
        `getActive` in interface `IUsbProfileList`
      Returns:
        the active USB profile

    - #### getPreferred

          public IUsbProfile getPreferred()

      Description copied from interface: `IUsbProfileList`
      Get the preferred USB profile. This is the USB profile that is marked as "preferred" on the KX and is configurable within KX system settings.
      Specified by:
        `getPreferred` in interface `IUsbProfileList`
      Returns:
        the preferred USB profile

    - #### setActive

          public void setActive(UsbProfile active)

    - #### setPreferred

          public void setPreferred(UsbProfile preferred)

    - #### validate

          public int validate()

    - #### getErrorMessage

          public java.lang.String getErrorMessage()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### clone

          protected java.lang.Object clone()
                                    throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`

Copyright © 2025 Raritan Inc. All Rights Reserved.